glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Protected Member Functions | List of all members
Glib::ValueBase_Boxed Class Reference
Generic Values

`#include <glibmm/value.h>`

Inheritance diagram for Glib::ValueBase_Boxed:
[legend]

## Static Public Member Functions

static GType | value_type ()

## Protected Member Functions

void | set_boxed (const void* data)
void* | get_boxed () const

## Additional Inherited Members

Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type.
| ValueBase (const ValueBase& other)
ValueBase& | operator= (const ValueBase& other)
| ~ValueBase ()
void | init (GType type)
| Setup the GValue for storing the specified type.
void | init (const GValue* value)
| Setup the GValue storing the type and value of the specified value.
void | reset ()
| Reset contents to the default value of its type.
GValue* | gobj ()
const GValue* | gobj () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Member Function Documentation

void* Glib::ValueBase_Boxed::get_boxed | ( |  | ) | const

protected

void Glib::ValueBase_Boxed::set_boxed | ( | const void * | data | ) |

protected

static GType Glib::ValueBase_Boxed::value_type | ( |  | ) |

static